<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since 1.0
 * @version 1.0
 */

get_header(); ?>

<div class="col-md-12 col-sm-12 search-result-container">
<div class="container">
         <div class="contentblock">
         <h2>Search Results</h2>
          	<?php if ( have_posts() ) : ?>
			<h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'twentyseventeen' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
		<?php else : ?>
			<h1 class="page-title"><?php _e( 'Nothing Found', 'twentyseventeen' ); ?></h1>
		<?php endif; ?></div>
	<!-- .page-header -->

	 <div class="search-result-data">

		<?php
		if ( have_posts() ) :
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				get_template_part( 'template-parts/post/content', 'excerpt' );

			endwhile; // End of the loop.

			

		else : ?>

			
			<?php
				get_search_form();

		endif;
		?>
          </div>
          </div>
        </div><!-- .wrap -->
<style type="text/css">
 .contentblock h2 {
	border-bottom: 1px solid #b2b2b2;
	color: #fdbf0f !important;
	font-size: 23px;
	margin-top: 0px;
	padding-bottom: 20px;
	text-transform: capitalize;
	float: left;
	width: 100%;
}
.contentblock h1.page-title {
	border-bottom: 1px solid #b2b2b2;
	color: #fdbf0f;
	font-size: 14px !important;
	margin-top: 0px;
	padding-bottom: 20px;
	text-transform: capitalize;
	float: left;
	width: 100%;
	padding-top: 5px;
	padding-bottom: 12px;font-family: 'Lato', sans-serif !important; font-weight:500;
}
.search-result-data {
	width: 100%;
	float: left;
	margin: 0 0 20px 0;
	padding: 0;
}
.search-result-data .navbar-form.navbar-left {
	width: 100%;
	float: left;
	padding: 0;
}
.search-result-data .navbar-form.navbar-left .form-group {
	width: 100%;
}
.search-result-data .navbar-form.navbar-left .form-group .form-control {
	width: 100%;
	float: left;
	margin: 0 0 15px 0;
}
.search-result-data .navbar-form.navbar-left .btn.btn-default {
	text-transform: uppercase;
	font-size: 14px;
	background: #27262b;font-family: 'Lato', sans-serif !important; font-weight:600;
}
.search-result-data .navbar-form.navbar-left .btn.btn-default:hover {
	background: #d4b47a;
	color: #fff;
}
.entry-header {
	display: none;
}
.entry-summary {
	font-size: 18px;
	font-weight: normal;
	float: left;
	width: 100%;
}
.link-more {
	width: 100%;
	float: left;
	margin: 10px 0 20px 0;
	padding: 0;
	border-bottom: 1px solid #ccc !important;
	padding: 0 0 10px 0;
}
.more-link {
	float: left;
	padding: 10px 15px;
	background: #3f0139;
	color: #fff;
	font-size: 12px;
	font-weight: bold;
	text-transform: uppercase;
	border-radius: 5px;
}
.screen-reader-text {
	clip: rect(1px, 1px, 1px, 1px);
	height: 1px;
	overflow: hidden;
	position: absolute !important;
	width: 1px;
	word-wrap: normal !important;
}
</style>
<?php
get_footer();
